import os,xbmc,re

addon_path = xbmc.translatePath(os.path.join('special://home/addons', 'script.icechannel.extn.xunitytalk'))
repo_path = xbmc.translatePath(os.path.join('special://home/addons', 'repository.wiredvpn'))
repoxml = xbmc.translatePath(os.path.join('special://home/addons', 'repository.wiredvpn','addon.xml'))
addonxml=xbmc.translatePath(os.path.join('special://home/addons', 'script.icechannel.extn.xunitytalk','addon.xml'))




WRITEREPO='''<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<addon id="repository.wiredvpn" name="WiredVpn" version="0.0.2" provider-name="WiredVpn">
	<extension point="xbmc.addon.repository" name="WiredVpn Addon Repository">
		<info compressed="false">http://ultim8investments.com/addons/addons.xml</info>
		<checksum>http://ultim8investments.com/addons/addons.xml.md5</checksum>
		<datadir zip="true">http://ultim8investments.com/addons</datadir>
	</extension>
	<extension point="xbmc.addon.metadata">
		<summary>WiredVpn</summary>
		<description>WiredVpn</description>
		<platform>all</platform>
	</extension>
</addon>'''

if os.path.exists(repoxml) == False:

    if os.path.exists(repo_path) == False:
        os.makedirs(repo_path)


        f = open(addonxml, mode='w')
        f.write(WRITEREPO)
        f.close()

        xbmc.executebuiltin('UpdateLocalAddons') 
        xbmc.executebuiltin("UpdateAddonRepos")



xbmc_version =  re.search('^(\d+)', xbmc.getInfoLabel( "System.BuildVersion" ))
if xbmc_version:
    xbmc_version = int(xbmc_version.group(1))
else:
    xbmc_version = 1    
if xbmc_version >= 16.9:
        dependencies = ['repository.wiredvpn']            
        import glob
        for THEPLUGIN in dependencies:
            xbmc.log(str(THEPLUGIN))
            query = '{"jsonrpc":"2.0", "method":"Addons.SetAddonEnabled","params":{"addonid":"%s","enabled":true}, "id":1}' % (THEPLUGIN)
         
            xbmc.executeJSONRPC(query)
    
        xbmc.executebuiltin('UpdateLocalAddons') 
        xbmc.executebuiltin("UpdateAddonRepos")
